Skip to main content
POST
/
api
/
v1
/
opt-outs
Set or clear per-channel WhatsApp opt-out
curl --request POST \
  --url https://app.flowella.io/api/v1/opt-outs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "set",
  "whatsappChannelId": "<string>",
  "phone": "<string>",
  "reason": "<string>"
}
'
{
  "active": true,
  "optOutId": "<string>",
  "revokedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://knowledge.flowella.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Organization API key (flo_…). Send as Authorization: Bearer <key>.

Body

application/json
action
enum<string>
required
Available options:
set
whatsappChannelId
string
required
phone
string
required
Required string length: 3 - 32
reason
string
Maximum string length: 500

Response

Current opt-out state

active
boolean
required
optOutId
string | null
revokedAt
string<date-time> | null